Sympa::Spool::Archive(3Sympa)

NAME
Sympa::Spool::Archive - Spool for messages waiting for archiving

SYNOPSIS
  use Sympa::Spool::Archive;
  my $spool = Sympa::Spool::Archive->new;

  $spool->store($message);

  my ($message, $handle) = $spool->next;

DESCRIPTION
Sympa::Spool::Archive implements the spool for messages waiting for archiving.

  Methods
See also "Public methods" in Sympa::Spool.

next ( )
    Order is controlled by delivery date, then by reception date.

  Context and metadata
See also "Marshaling and unmarshaling metadata" in Sympa::Spool.

This class particularly gives following metadata:

{date}
    Unix time when the message would be delivered.

{time}
    Unix time in floating point number when the message was stored.

CONFIGURATION PARAMETERS
Following site configuration parameters in sympa.conf will be referred.

queueoutgoing
    Directory path of archive spool.

    Note: Named such by historical reason.

SEE ALSO
Sympa::Archive, Sympa::Message, Sympa::Spindle::ProcessArchive, Sympa::Spool.

HISTORY
Sympa::Spool::Archive appeared on Sympa 6.2.